<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
//include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "sale.php";

$maindb = "salemain";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `gdname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `partyname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `type` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `gdname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `partyname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `type` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `mydt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `gdname`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `partyname`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `type`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

mysqli_query($conn, "CREATE TEMPORARY TABLE `tsale` SELECT a.`vouchno`, DATE_FORMAT(a.`vouchdt`, '%d-%m-%Y') as mydt, a.`godown`, a.`accode`, a.`cashcred`,
                                          b.`gdcode` as gdname, c.`name` as partyname,
                                          CASE 
                                            WHEN a.cashcred = 'C' THEN 'CASH'
                                            WHEN a.cashcred = 'R' THEN 'CREDIT'
                                          END AS type
                                          from $maindb a, godown b, accmast c
                                          where a.godown = b.code and a.accode = c.accode") or die(mysqli_error($conn));

$query = "SELECT * from tsale WHERE  $keyfld!='' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

//    if ($r['cashcred'] == 'C') {
//        $type = 'Cash';
//    } else {
//        $type = 'Credit';
//    }

    $rows[] = ['success' => true,
        'value'     => $ctr,
        'vouchno'   => $r['vouchno'],
        'mydt'      => $r['mydt'],
        'gdname'    => $r['gdname'],
        'partyname' => $r['partyname'],
        'cashcred'  => $r['type'],
        'action'    => "$file?mode=edit&$keyfld=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
